RubyMine 5.4 发布,支持 Rails 4

oschina
 oschina
发布于 2013年04月11日
收藏 3

JetBrains今天发布了RubyMine 5.4版本。

RubyMine是一个针对Ruby 和 Rails开发者的IDE,建立在IntellJ IDEA平台之上,提供了所有开发所必需的IDE功能,比如编辑、调试工具、源码控制集成、代码自动补全以及其他功能。

Rails 4即将正式发布,在最新的RubyMine 5.4版本中已经增加了对Rails 4新特性的支持。

除此之外,该版本的主要改进如下:

  • RubyMotion应用程序现在支持在设备上调试
  • 支持Emmet缩写语法,以实现更快的HTML和CSS编码
  • 通过Node.js的帮助,CoffeeScript调试器现在可以调试非Rails应用程序
  • 集成了REST Client插件
  • 支持Nailgun,使得开发者使用JRuby更加高效

此外,RubyMine 5.4还改善了对Ruby 2.0和远程解释器的支持。

详细信息:RubyMine 5.4 is Here and Ready for Rails 4
下载地址:http://www.jetbrains.com/ruby/download/

现在国内用户只要3折便可购买 RubyMine,查看详情 (还有最后20天)

本站文章除注明转载外,均为本站原创或编译。欢迎任何形式的转载,但请务必注明出处,尊重他人劳动共创开源社区。
转载请注明:文章转载自 开源中国社区 [http://www.oschina.net]
本文标题:RubyMine 5.4 发布,支持 Rails 4
加载中

最新评论(3

资本
idea的工具,感觉已经做到开发工具的极致了!
实迷途其未远觉今是而昨非
实迷途其未远觉今是而昨非

引用来自“橙汁儿”的评论

Rails 4 正式版还没出吧

idea还支持Java 8 那啥表达式呢
橙汁儿
橙汁儿
Rails 4 正式版还没出吧
返回顶部
顶部